LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;


ENTITY mux21 IS
PORT	(
		a,b : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
		c : IN STD_LOGIC;
		S : OUT STD_LOGIC_VECTOR ( 7 DOWNTO 0)
	);
END ENTITY mux21;

ARCHITECTURE archmux21 of mux21 IS
BEGIN 
	PROCESS(c) IS
	BEGIN
		IF RISING_EDGE(c) THEN
			S <= a;
		ELSE
			S <= b;	
		END IF;
	END PROCESS;
END ARCHITECTURE;
